JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const scenarioRunView of client.scenarios.runs.list()) {
console.log(scenarioRunView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.scenarios.runs.list()
page = page.runs[0]
print(page.id)curl --request GET \
--url https://api.runloop.ai/v1/scenarios/runs \
--header 'Authorization: Bearer <token>'
{
"runs": [
{
"id": "<string>",
"scenario_id": "<string>",
"devbox_id": "<string>",
"state": "running",
"metadata": {},
"name": "<string>",
"benchmark_run_id": "<string>",
"scoring_contract_result": {
"score": 123,
"scoring_function_results": [
{
"score": 123,
"scoring_function_name": "<string>",
"output": "<string>",
"state": "unknown"
}
]
},
"start_time_ms": 123,
"duration_ms": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}Scenario
List ScenarioRuns.
List all ScenarioRuns matching filter.
GET
/
v1
/
scenarios
/
runs
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const scenarioRunView of client.scenarios.runs.list()) {
console.log(scenarioRunView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.scenarios.runs.list()
page = page.runs[0]
print(page.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by name
Filter by state
Filter by benchmark run ID
Filter runs associated to Scenario given ID
Search by scenario run ID or name.
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
